### Class

# Gio ProxyAddress

since: 2.26

#### Description

    class Gio.ProxyAddress : Gio.InetSocketAddress
      implements Gio.SocketConnectable {
      /* No available fields */
    }

A `GInetSocketAddress` representing a connection via a proxy server.

Available since: 2.26

#### Ancestors

- GInetSocketAddress
- GSocketAddress
- GObject

#### Implements

- GSocketConnectable

#### Constructors

###### g_proxy_address_new

Creates a new `GProxyAddress` for `inetaddr` with `protocol` that should tunnel through `dest_hostname` and `dest_port`.

since: 2.26

#### Instance methods

###### g_proxy_address_get_destination_hostname

Gets `proxy`‘s destination hostname; that is, the name of the host that will be connected to via the proxy, not the name of the proxy itself.

since: 2.26

###### g_proxy_address_get_destination_port

Gets `proxy`‘s destination port; that is, the port on the destination host that will be connected to via the proxy, not the port number of the proxy itself.

since: 2.26

###### g_proxy_address_get_destination_protocol

Gets the protocol that is being spoken to the destination server; eg, “http” or “ftp”.

since: 2.34

###### g_proxy_address_get_password

Gets `proxy`‘s password.

since: 2.26

###### g_proxy_address_get_protocol

Gets `proxy`‘s protocol. eg, “socks” or “http”.

since: 2.26

###### g_proxy_address_get_uri

Gets the proxy URI that `proxy` was constructed from.

since: 2.34

###### g_proxy_address_get_username

Gets `proxy`‘s username.

since: 2.26

##### Methods inherited from GInetSocketAddress (4)

###### g_inet_socket_address_get_address

Gets `address`‘s `GInetAddress`.

since: 2.22

###### g_inet_socket_address_get_flowinfo

Gets the `sin6_flowinfo` field from `address`, which must be an IPv6 address.

since: 2.32

###### g_inet_socket_address_get_port

Gets `address`‘s port.

since: 2.22

###### g_inet_socket_address_get_scope_id

Gets the `sin6_scope_id` field from `address`, which must be an IPv6 address.

since: 2.32

##### Methods inherited from GSocketAddress (3)

###### g_socket_address_get_family

Gets the socket family type of `address`.

since: 2.22

###### g_socket_address_get_native_size

Gets the size of `address`‘s native struct sockaddr. You can use this to allocate memory to pass to g_socket_address_to_native().

since: 2.22

###### g_socket_address_to_native

Converts a `GSocketAddress` to a native struct sockaddr, which can be passed to low-level functions like `connect()` or bind().

since: 2.22

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GSocketConnectable (3)

###### g_socket_connectable_enumerate

Creates a `GSocketAddressEnumerator` for `connectable`.

since: 2.22

###### g_socket_connectable_proxy_enumerate

Creates a `GSocketAddressEnumerator` for `connectable` that will return a `GProxyAddress` for each of its addresses that you must connect to via a proxy.

since: 2.26

###### g_socket_connectable_to_string

Format a `GSocketConnectable` as a string. This is a human-readable format for use in debugging output, and is not a stable serialization format. It is not suitable for use in user interfaces as it exposes too much information for a user.

since: 2.48

#### Properties

###### Gio.ProxyAddress:destination-hostname

The proxy destination hostname.

since: 2.26

###### Gio.ProxyAddress:destination-port

The proxy destination port.

since: 2.26

###### Gio.ProxyAddress:destination-protocol

The protocol being spoke to the destination host, or `NULL` if the `GProxyAddress` doesn’t know.

since: 2.34

###### Gio.ProxyAddress:password

The proxy password.

since: 2.26

###### Gio.ProxyAddress:protocol

The proxy protocol.

since: 2.26

###### Gio.ProxyAddress:uri

The URI string that the proxy was constructed from (or `NULL` if the creator didn’t specify this).

since: 2.34

###### Gio.ProxyAddress:username

The proxy username.

since: 2.26

##### Properties inherited from GInetSocketAddress (4)

###### Gio.InetSocketAddress:address

The address.

since: 2.22

###### Gio.InetSocketAddress:flowinfo

The `sin6_flowinfo` field, for IPv6 addresses.

since: 2.32

###### Gio.InetSocketAddress:port

The port.

since: 2.22

###### Gio.InetSocketAddress:scope-id

The `sin6_scope_id` field, for IPv6 addresses.

since: 2.32

##### Properties inherited from GSocketAddress (1)

###### Gio.SocketAddress:family

The family of the socket address.

since: 2.22

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GioProxyAddressClass {
      GInetSocketAddressClass parent_class;

    }

Class structure for `GProxyAddress`.

###### Class members

`parent_class: GInetSocketAddressClass`

  No description available.